<?php

   include("../scripts/connect.php");
   $conexion=conecta_default();

   include("../scripts/session.php");
   //Validar Session

   $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	 header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }

    //fin validar session

    $id_dist = $_POST['id_d'];
	
		
   $qa = "SELECT rfc, nombre, appat, apmat FROM inversionista WHERE id_inver = '".$id_dist."'";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   $usr = mysql_fetch_object($ca);
   $rfcusr = $usr->rfc;
   $nomusr = "$usr->nombre $usr->appat $usr->apmat";
    
?>

<html>
<head>
<script language="JavaScript1.2" type="text/javascript">

function CadenaVacia(cadena) {
if (cadena.length==0){
	return true;
	}
else {
	return false;
	}
}

function ValidarNumerico(cadena) {
var numeros="0123456789";
for (var i=0;i<cadena.length;i++) {
	if (numeros.indexOf(cadena.substring(i,i+1))==-1){
		return false;
		}
	}
return true;
}

function CadenaVaciaBlancos(cadena) {
var salida='';
for (var i=0;i<cadena.length;i++) {
	if (cadena.substring(i,i+1)!=' ')
		salida=salida+cadena.substring(i,i+1);
	}
if (salida.length==0){
	return true;
	}
else {
	return false;
	}
}

function valida(e)
{
	if (CadenaVaciaBlancos(e.noref.value)){
 	alert("Escribe el número de ficha por favor");
 	e.noref.select();
 	return false;
	}
	
}
</script>
</head>
 <body onLoad="document.f1.psw1.select();">
  <form name="f1" action="aprueba_usuario.php" method="post">	
 	<table border="0" width="500" height="400" align="center" style="background: url(logotransp2.gif)">
	<tr height="30"><td></tr>
	<tr height="80"><td align="center"><label style="color:#5C3C12; font-size:28px; font-weight:bold">Agregar ficha de deposito.</tr>
	<tr height="30">
	<td align="center"><label style="color:#5C3C12">RFC:</label>&nbsp;<?php echo $rfcusr;?> <input type="hidden" name="id_d" value="<?php echo $id_dist;?>"></tr>
	<tr height="30">
	<td align="center"><label style="color:#5C3C12">Nombre:</label>&nbsp;<?php echo $nomusr;?></tr>
	<tr height="30"><td></tr>
	<tr height="40">
	<td align="center"><label style="color:#5C3C12">No. de Ficha:</label>&nbsp;<input type="text" size="18" maxlength="10" name="noref" value="" style="font-family: Times New Roman; text-transform:uppercase"></td>
	</tr>
	<tr height="30" align="center">
    <td align="center"><label style="color:#5C3C12">Cantidad depositada:</label>&nbsp;<input type="text" size="18" maxlength="10" name="totaldep" value="" style="font-family: Times New Roman; text-transform:uppercase"></td>
	</tr>
	<tr height="100"><td colspan="3"><label style="font-weight:bold;color:#FF0000">Es muy importante que antes de darle click al boton Agregar revises el No. de ficha que escribiste, de lo contrario tu dep&oacute;sito no ser&aacute; v&aacute;lido.</label></td></tr>
	<tr><td align="center" valign="middle"><input type="submit" value="Agregar Ficha" onClick="return valida(this.form)"></tr>
	<tr><td></tr>
	</table>
  </form>
 </body>
</html>